# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add 'Await QA' capability state

Revision ID: 25db7ee329f4
Revises: c7f4ec21b80f
Create Date: 2021-10-26 16:29:28.647656

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "25db7ee329f4"
down_revision = "c7f4ec21b80f"
branch_labels = None
depends_on = None


def upgrade():
    """
    Add the Await QA state for the standard calibration.

    :return:
    """
    op.execute(
        """
        INSERT INTO capability_states (capability_name, state)
        VALUES ('std_calibration','Awaiting QA')
        """
    )


def downgrade():
    """
    Remove the Await QA state from the standard calibration.

    :return:
    """
    op.execute(
        """
        DELETE FROM capability_states
        WHERE capability_name='std_calibration'
        AND state='Awaiting QA'
        """
    )
